
From: Andrew Morton <akpm@osdl.org>

print a size_t properly.

Cc: <reiserfs-dev@namesys.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/reiser4/plugin/item/extent_item_ops.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/reiser4/plugin/item/extent_item_ops.c~reiser4-printk-warning-fix fs/reiser4/plugin/item/extent_item_ops.c
--- 25-sparc64/fs/reiser4/plugin/item/extent_item_ops.c~reiser4-printk-warning-fix	2005-06-26 01:18:52.000000000 -0700
+++ 25-sparc64-akpm/fs/reiser4/plugin/item/extent_item_ops.c	2005-06-26 01:18:52.000000000 -0700
@@ -186,7 +186,7 @@ can_shift_extent(unsigned free_space, co
 		*size = want * sizeof (reiser4_extent);
 
 	if (*size % sizeof (reiser4_extent) != 0)
-		impossible("vs-119", "Wrong extent size: %i %i", *size, sizeof (reiser4_extent));
+		impossible("vs-119", "Wrong extent size: %i %zd", *size, sizeof (reiser4_extent));
 	return *size / sizeof (reiser4_extent);
 
 }
_
